Resource Work Pattern
| Request | |
|---|---|
| Description | Insert, update or delete a resource work pattern. |
| Context | https://<instance>.optimizemyday.com/omdservices/rest/v1/services/trip |
| URL | /resourceWorkPattern |
| Method | PUT/POST or DELETE |
| Response Code | 200 when successful, another HTTP status code otherwise |
| Success Response | A representation of the created pattern or the Result element with the success attribute. |
| Response Type | XML or JSON |
| Parameter | Datatype | Description |
|---|---|---|
| configId | Integer | The identifier of the configuration. |
| resourceId | String | The external identifier of the resource. |
| date | Date | The day to apply the pattern on. |
| departure | Time | The time of departure for this day. |
| arrival | Time | The time of arrival for this day. |
| standby | Boolean | Indicates the resource work pattern as a standby pattern, i.e. the resource will only accept tasks marked as standby. |
| _output | String | The requested output format being xml or json. If omitted, xml is assumed. |
POST Sample Call
https://sandbox.optimizemyday.com/omdservices/rest/v1/services/trip/resourceWorkPattern?configId=16167225&resourceId=10000024&date=2017-10-10&standby=false&departure=08:00:00&arrival=16:00:00
POST Sample Result
<Result success="true">
<ResourceWorkPattern id="16179325" version="1" lastUpdate="2017-10-08 23:28:29" resource="10000024" workPattern="Di|0800-1600" validFrom="2017-10-10 00:00:00" validTo="2017-10-11 00:00:00" />
</Result>
DELETE Sample Call
https://sandbox.optimizemyday.com/omdservices/rest/v1/services/trip/resourceWorkPattern?configId=16167225&resourceId=10000024&date=2017-10-10
DELETE Sample Result
<Result success="true" />